- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisSolution Class Reference

This class contains the solutions generated by the LP solver (either primal or dual. More...

`#include <BlisSolution.h>`

Inheritance diagram for BlisSolution:

[legend]
Collaboration diagram for BlisSolution:

[legend]
List of all members.

## Public Member Functions
| BlisSolution ()
| Default constructor.
| BlisSolution (int s, const double *values, double objValue)
| Useful constructor.
virtual | ~BlisSolution ()
| Destructor.
virtual AlpsEncoded * | encode () const
| The method that encodes the solution into a encoded object.
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| The method that decodes the solution from a encoded object.
| BlisSolution ()
| Default constructor.
| BlisSolution (int s, const double *values, double objValue)
| Useful constructor.
virtual | ~BlisSolution ()
| Destructor.
virtual void | print (std::ostream &os) const
| Print the solution.
virtual AlpsEncoded * | encode () const
| The method that encodes the solution into a encoded object.
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| The method that decodes the solution from a encoded object.

## Detailed Description

This class contains the solutions generated by the LP solver (either primal or dual.

The class exists primarily to pass solutions to the object generator(s).

Definition at line 37 of file BlisSolution.h.

## Constructor & Destructor Documentation

BlisSolution::BlisSolution | ( |  | ) | `[inline]`

Default constructor.

Definition at line 44 of file BlisSolution.h.

Referenced by decode().

BlisSolution::BlisSolution | ( | int | s,
|  | const double * | values,
|  | double | objValue |
| ) |  |  | `[inline]`

Useful constructor.

Definition at line 50 of file BlisSolution.h.

virtual BlisSolution::~BlisSolution | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 56 of file BlisSolution.h.

BlisSolution::BlisSolution | ( |  | ) | `[inline]`

Default constructor.

Definition at line 43 of file BlisSolution.h.

BlisSolution::BlisSolution | ( | int | s,
|  | const double * | values,
|  | double | objValue |
| ) |  |  | `[inline]`

Useful constructor.

Definition at line 49 of file BlisSolution.h.

virtual BlisSolution::~BlisSolution | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 55 of file BlisSolution.h.

## Member Function Documentation

virtual AlpsEncoded* BlisSolution::encode | ( |  | ) | const`[inline, virtual]`

The method that encodes the solution into a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 63 of file BlisSolution.h.

References AlpsKnowledgeTypeSolution, and BcpsSolution::encodeBcps().

virtual AlpsKnowledge* BlisSolution::decode | ( | AlpsEncoded & | encoded | ) | const`[inline, virtual]`

The method that decodes the solution from a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 71 of file BlisSolution.h.

References BlisSolution(), and BcpsSolution::decodeBcps().

virtual void BlisSolution::print | ( | std::ostream & | os | ) | const`[inline, virtual]`

Print the solution.

Reimplemented from BcpsSolution.

Reimplemented in VrpSolution.

Definition at line 59 of file BlisSolution.h.

References ALPS_FABS, BcpsSolution::size_, and BcpsSolution::values_.

virtual AlpsEncoded* BlisSolution::encode | ( |  | ) | const`[inline, virtual]`

The method that encodes the solution into a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 80 of file BlisSolution.h.

References AlpsKnowledgeTypeSolution, and BcpsSolution::encodeBcps().

virtual AlpsKnowledge* BlisSolution::decode | ( | AlpsEncoded & | encoded | ) | const`[inline, virtual]`

The method that decodes the solution from a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 88 of file BlisSolution.h.

References BlisSolution(), and BcpsSolution::decodeBcps().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/Blis-0.91.2/Bcps/examples/Blis/BlisSolution.h
- /home/coin/SVN-release/Blis-0.91.2/Blis/src/BlisSolution.h